<template>
  <column class="center">
    <div class="import-course">
      <h2>Import Course</h2>
      <div>
        <file-upload endpoint="/courses/import" @input="done"
          >Upload GPX File</file-upload
        >
      </div>
      <el-alert v-if="error">{{ error }}</el-alert>
    </div>
  </column>
</template>
<script>
import FileUpload from "~/components/ui/forms/FileUpload";

export default {
  components: {
    FileUpload,
  },
  data() {
    return { error: null };
  },
  methods: {
    done(e) {
      if (e.error) this.error = e.error;
      else if (e.result.course.id) {
        this.$router.push(`/courses/${e.result.course.id}/edit`);
      } else {
        this.error = "No course returned.";
      }
    },
  },
};
</script>
<style lang="scss" scoped>
@import "~assets/mixins";

.ui-column.center {
  align-items: center;
}
.import-course {
  text-align: center;
  pointer-events: initial;
  background-color: $color-background;
  max-width: $grid * 22;
  padding: $grid;
  @include corners;

  .file-upload {
    padding: $grid * 2;
    margin: $grid * 0.5;

    max-width: $grid * 20;
    margin: auto;
  }
}
</style>
